<template>
  <div class="example">
    <apexcharts
    ref="chart"
      width="1000"
      height="750"
      type="bar"
      :options="chartOptions"
      :series="series"
    ></apexcharts>
    <div v-if="chr">
      <loader></loader>
    </div>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";
import Axios from "axios"
import loader from "./loader.vue"
import { httpClient } from "../api/httpclient"

export default {
  name: "Chart",
  components: {
    apexcharts: VueApexCharts,
    loader,
  },
  props: ["datum","sec","subsec"],
  
  data () {
    return {
        data:[],
        chr:false,
        list:null,
      series: [
        {
          data: [],
        },
      ],
      chartOptions: {
        chart: {
          type: "bar",
          width:"100%"
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
          },
        },
        dataLabels: {
          enabled: false,
        },
      },
      responsive: [{
    breakpoint: 5,
    options: {},
}]
    };
  },
  mounted(){
    
    this.getDataChart()

  },
  methods:{
            getDataChart(){
              this.chr=true
                httpClient.post("/articles/section/subsection/author_article_count/",{
                date: this.datum,
                section: this.sec,
                subsection: this.subsec
            })
                .then((resp)=>{
                    this.list = resp.data.author_article_count;
                    console.log(this.list.author_article_count)
                    this.$refs.chart.updateSeries([{
                    data: this.list.slice(0,20)
                      }])
                       console.log(this.datum,this.sec,this.subsec);
                       this.chr=false
                })
            }
        }};
</script>